Package ru.bgcrm.struts.action.admin

# Class UserAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.struts.action.admin.UserAction

public class UserAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addGroup(DynActionForm form, Connection con, Date fromDate, Date toDate, int groupId, int userId)`
  `void`
  `closeGroup(DynActionForm form, Connection con, int userId, int groupId, Date date, Date dateFrom, Date dateTo)`
  `org.apache.struts.action.ActionForward`
  `groupDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `groupGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `groupInsertMark(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `groupList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `groupUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `permsetDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `permsetGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `permsetList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `permsetReplacePermissions(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `permsetUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userAddGroup(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userClosePeriodGroup(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userGroupList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userRemoveGroup(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userUpdate(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserAction

    public UserAction()

- ## Method Details

  - ### permsetList

    public org.apache.struts.action.ActionForward permsetList(DynActionForm form, Connection con)

  - ### permsetGet

    public org.apache.struts.action.ActionForward permsetGet(DynActionForm form, Connection con)

  - ### permsetUpdate

    public org.apache.struts.action.ActionForward permsetUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### permsetDelete

    public org.apache.struts.action.ActionForward permsetDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### permsetReplacePermissions

    public org.apache.struts.action.ActionForward permsetReplacePermissions(DynActionForm form, Connection con)

  - ### groupList

    public org.apache.struts.action.ActionForward groupList(DynActionForm form, Connection con) throws SQLException
    Throws:
      `SQLException`

  - ### groupGet

    public org.apache.struts.action.ActionForward groupGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### groupUpdate

    public org.apache.struts.action.ActionForward groupUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### groupDelete

    public org.apache.struts.action.ActionForward groupDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### groupInsertMark

    public org.apache.struts.action.ActionForward groupInsertMark(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userList

    public org.apache.struts.action.ActionForward userList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userGet

    public org.apache.struts.action.ActionForward userGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userUpdate

    public org.apache.struts.action.ActionForward userUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userDelete

    public org.apache.struts.action.ActionForward userDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userGroupList

    public org.apache.struts.action.ActionForward userGroupList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userAddGroup

    public org.apache.struts.action.ActionForward userAddGroup(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### addGroup

    public void addGroup(DynActionForm form, Connection con, Date fromDate, Date toDate, int groupId, int userId) throws Exception
    Throws:
      `Exception`

  - ### userRemoveGroup

    public org.apache.struts.action.ActionForward userRemoveGroup(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userClosePeriodGroup

    public org.apache.struts.action.ActionForward userClosePeriodGroup(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### closeGroup

    public void closeGroup(DynActionForm form, Connection con, int userId, int groupId, Date date, Date dateFrom, Date dateTo) throws Exception
    Throws:
      `Exception`